summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2015-03-16 10:27:56 +0100
committerAndrew Bartlett <abartlet@samba.org>2015-03-16 23:04:46 +0100
commit7293767a8b1a87aad8bb2b536de8a28dfac2f866 (patch)
treedf16d17a350fc3a22d7efaa184e341e6fa701a29 /testprogs
parent0bcea51507547e867af28be5d864e9e294160fc7 (diff)
downloadsamba-7293767a8b1a87aad8bb2b536de8a28dfac2f866.tar.gz
selftest: make blackbox.passwords test independent of test environment.
This also prevents the test from cluttering the main selftest directort with temporary data. Signed-off-by: Michael Adam <obnox@samba.org> Reviewed-by: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_passwords.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/testprogs/blackbox/test_passwords.sh b/testprogs/blackbox/test_passwords.sh
index 9dbef8549f0..09d70eb3436 100755
--- a/testprogs/blackbox/test_passwords.sh
+++ b/testprogs/blackbox/test_passwords.sh
@@ -70,7 +70,7 @@ do_kinit() {
UID_WRAPPER_ROOT=1
export UID_WRAPPER_ROOT
-CONFIG="--configfile=$PREFIX/dc/etc/smb.conf"
+CONFIG="--configfile=$PREFIX/etc/smb.conf"
export CONFIG
testit "reset password policies beside of minimum password age of 0 days" $VALGRIND $samba_tool domain passwordsettings $CONFIG set --complexity=default --history-length=default --min-pwd-length=default --min-pwd-age=0 --max-pwd-age=default || failed=`expr $failed + 1`
@@ -176,7 +176,7 @@ expect Retype new SMB password:
send ${NEWUSERPASS}\n
EOF
-testit "set user password with smbpasswd" $texpect ./tmpsmbpasswdscript $smbpasswd -L -c $PREFIX/dc/etc/smb.conf nettestuser || failed=`expr $failed + 1`
+testit "set user password with smbpasswd" $texpect ./tmpsmbpasswdscript $smbpasswd -L -c $PREFIX/etc/smb.conf nettestuser || failed=`expr $failed + 1`
USERPASS=$NEWUSERPASS
test_smbclient "Test login with user (ntlm)" 'ls' -k no -Unettestuser@$REALM%$NEWUSERPASS || failed=`expr $failed + 1`
@@ -226,7 +226,7 @@ expect Retype new SMB password:
send ${NEWUSERPASS}\n
EOF
-testit "change user password with smbpasswd (after must change flag set)" $texpect ./tmpsmbpasswdscript $smbpasswd -r $SERVER -c $PREFIX/dc/etc/smb.conf -U nettestuser || failed=`expr $failed + 1`
+testit "change user password with smbpasswd (after must change flag set)" $texpect ./tmpsmbpasswdscript $smbpasswd -r $SERVER -c $PREFIX/etc/smb.conf -U nettestuser || failed=`expr $failed + 1`
USERPASS=$NEWUSERPASS